CREATE TABLE fnd_messages_b] (
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    MODULE_ID                    VARCHAR2(128)     NOT NULL,
    MESSAGE_NUMBER               NUMBER(15, 0) ,
    APPLICATION_ID               NUMBER(15, 0)     NOT NULL,
    MESSAGE_NAME                 VARCHAR2(120)     NOT NULL,
    TYPE                         VARCHAR2(120)     NOT NULL,
    MESSAGE_CATEGORY             VARCHAR2(120) ,
    MESSAGE_SEVERITY             VARCHAR2(120) ,
    LOGGABLE_ALERTABLE           VARCHAR2(4)   ,
    CONTEXT                      VARCHAR2(4000),
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SANDBOX_ID                   VARCHAR2(256)     NOT NULL,
    CHANGE_SINCE_LAST_REFRESH    VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL
);
